function [ ] = config_xmlrpc()
% config_xmlrpc - Configuration settings for neos servers via xmlrpc
%                 This function also adds necessary jars to path
%   Other Notes:
%   - Change settings according to system set up
%   - Need to download and install apache-xmlrpc
%       Steps:
%           1) Download apache-xmlrpc-3.1.2-bin from
%               http://archive.apache.org/dist/ws/xmlrpc/binaries/
%           2) Unzip and locate 'lib' folder containing jars
%           3) Specify 'lib' folder location in 'xmlrpc_folder' variable below
%
%   Richard Klotz, 2015


% XMLRPC jar folder
xmlrpc_folder = 'C:\Users\Rick\Documents\MATLAB\apache-xmlrpc-3.1.2-bin\apache-xmlrpc-3.1.2\lib' ;

% get names of all jars
jarNames=dir([xmlrpc_folder,'\*.jar']);

% combine path with jar names
jarPaths = cell(size(jarNames,1),1);
for j=1:size(jarNames,1)
    jarPaths{j} = [  xmlrpc_folder , '\' , jarNames(j).name ] ;
end
clear j

% add jars for xmlrpc to dynamic java path
javaclasspath(jarPaths)

end

