function [ results_txt ] = neosCollectJob( job_java, server_url , outputFileName )
% collectJob - collects job results from neos server
%   
%   Inputs:
%   job_java - java array from submission to be retrieved 
%   server_url -  server address for XML submission
%   outputFileName - filename for storing results
%  
%   Outputs:
%   results_txt - string of job results
%
%   Richard Klotz, 2015

client = javaObject('org.apache.xmlrpc.client.XmlRpcClient') ;
url = javaObject('java.net.URL', server_url) ;
client.getClientConfig.setServerURL(url);

%%% retrieve results (job_java is java object from submitJob call)
results_txt = char(client.execute('getFinalResults',job_java))';
%disp(results_txt)

fid = fopen(outputFileName,'w+') ;
fprintf(fid,'%s',results_txt) ;
fclose(fid);

end

