function neosMonitorJob( job_java, server_url, varargin )
% neosMonitorJob Check neos job for completion and print status
%   
%   Inputs:
%   job_java - java array from submission to be retrieved 
%   server_url - server address for XML submission
%   varargin{1} - number of seconds to wait between each check 
%
%   Richard Klotz, 2015

% if additional parameter is passed
if numel(varargin)>0
    pause_secs = varargin{1};
else
    pause_secs = 5;
end

client = javaObject('org.apache.xmlrpc.client.XmlRpcClient') ;
url = javaObject('java.net.URL', server_url) ;
client.getClientConfig.setServerURL(url);

%%% start while loop for checking completion
%%% runs until status is not 'Waiting' or 'Running'
status = 'Waiting' ;
t = 0 ; % number of times checked

fprintf('Seconds\tStatus\n',t*pause_secs,status);
while strcmp(status,'Waiting') || strcmp(status,'Running')
    pause(pause_secs)
    t=t+1 ;
    
    %%% check job status
    status = char(client.execute('getJobStatus',job_java));
    fprintf('%7.0f\t%s\n',t*pause_secs,status);
      
end
fprintf('\n');

end

